fold.hpp File Reference

Forward declares `boost::hana::fold`. More...

## Namespaces

| boost::hana
| Namespace containing everything in the library.

## Variables

constexpr auto | boost::hana::fold = fold_left
| Equivalent to `fold_left`; provided for convenience.`fold` is equivalent to `fold_left`. However, it is not tag-dispatched on its own because it is just an alias to `fold_left`. Also note that `fold` can be called with or without an initial state, just like `fold_left`: More...

## Detailed Description

Forward declares `boost::hana::fold`.

Copyright
  Louis Dionne 2013-2017 Distributed under the Boost Software License, Version 1.0. (See accompanying file LICENSE.md or copy at http://boost.org/LICENSE_1_0.txt)